Update a user
curl --request PUT \
--url https://api.justanotheruptime.com/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"password": "newpassword123",
"firstName": "John",
"lastName": "Doe",
"image": "<string>",
"provider": "<string>",
"providerId": "<string>",
"isEmailVerified": true,
"roles": [],
"settings": {
"theme": "<string>",
"notifications": {
"email": true,
"sms": true,
"slack": true,
"webhook": true
},
"preferredNotification": "<string>",
"emailConfig": {},
"smsConfig": {},
"slackConfig": {},
"webhookConfig": {}
}
}
'import requests
url = "https://api.justanotheruptime.com/users/{id}"
payload = {
"email": "user@example.com",
"password": "newpassword123",
"firstName": "John",
"lastName": "Doe",
"image": "<string>",
"provider": "<string>",
"providerId": "<string>",
"isEmailVerified": True,
"roles": [],
"settings": {
"theme": "<string>",
"notifications": {
"email": True,
"sms": True,
"slack": True,
"webhook": True
},
"preferredNotification": "<string>",
"emailConfig": {},
"smsConfig": {},
"slackConfig": {},
"webhookConfig": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
password: 'newpassword123',
firstName: 'John',
lastName: 'Doe',
image: '<string>',
provider: '<string>',
providerId: '<string>',
isEmailVerified: true,
roles: [],
settings: {
theme: '<string>',
notifications: {email: true, sms: true, slack: true, webhook: true},
preferredNotification: '<string>',
emailConfig: {},
smsConfig: {},
slackConfig: {},
webhookConfig: {}
}
})
};
fetch('https://api.justanotheruptime.com/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Users
Update a user
PUT
/
users
/
{id}
Update a user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
User ID
Body
application/json
Example:
"user@example.com"
Example:
"newpassword123"
Example:
"John"
Example:
"Doe"
Available options:
user, admin, project_manager, super_admin Show child attributes
Show child attributes
Response
The user has been successfully updated.
The response is of type object.
⌘I